Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Salesforce Tenant Secret APIs

Viewing Salesforce Tenant Secrets

search

Viewing Salesforce Tenant Secrets

Use the get /v1/cckm/sfdc/keys API to view the list of Salesforce tenant secrets available in Salesforce organizations linked with a Salesforce connection. Filter the search using the request query parameters.

Syntax

curl -k '<IP>/api/v1/cckm/sfdc/keys?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Request Query Parameters

Parameter Type Description
id string Resource ID of the named credential.
name string Name for the Salesforce tenant secret.
organization_id string ID of the Salesforce organization where the tenant secret is stored. This is different than the organization's resource ID, id.
organization_type string Type of the Salesforce organization.
status string Status of the Salesforce tenant secret. The status can be:
• ACTIVE
• ARCHIVED
• DESTROYED
At any time, for a tenant secret type (described below), a maximum of 50 ACTIVE and ARCHIVED tenant secrets can be present. The remaining secrets can be in the DELETE state. Of the 50 tenant secrets, only one secret can be ACTIVE, and the remaining secrets will be in the ARCHIVED state.
source string Source of the Salesforce tenant secret. The source can be:
• HSM
• Native
origin string Source of the tenant secret material. The origin of the tenant secret can be:
• cckm: Key material is created on CCKM.
• native: Key material is created on the Salesforce cloud.
• unknown: Source of the key material is unknown. It is different than CCKM and the native cloud.
sfdc_org_id string ID of the Salesforce organization.
sfdc_org_name string Name of the Salesforce organization.
type string Type of the Salesforce tenant secret. The type can be:
• Data
• EventBus
• SearchIndex
• DeterministicData
• Analytics
backup_key_tier string Tier of the backup key.
version string Version of the Salesforce tenant secret.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sort string Comma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sfdc/keys?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "eca1ff8e-8609-48a2-becd-40e9d13300dc",
            "uri": "kylo:kylo:cckm:Tenant_Secret:eca1ff8e-8609-48a2-becd-40e9d13300dc",
            "account": "kylo:kylo:admin:accounts:kylo",
            "createdAt": "2021-07-23T05:29:26.988554Z",
            "updatedAt": "2021-07-23T05:29:26.987104Z",
            "cloud_name": "sfdc",
            "name": "sfdc-secret-1",
            "organization_id": "00DB000000040bIMAQ",
            "error_msg": "",
            "sfdc_params": {
                "salesforce_id": "02GB0000000HYswMAG",
                "created_by_id": "005B00000021BO4IAM",
                "last_modified_date": "2021-07-23T05:29:26.000+0000",
                "last_modified_by_id": "005B00000021BO4IAM",
                "system_modstamp": "2021-07-23T05:29:26.000+0000",
                "secret_value_hash": "UNKNOWM=",
                "secret_value": "CgMyMzISEKnfsHQqWBk/IND/PXoSoFkaMHdChRNCLK42IWmHXUeDWrA30jI5mWqKoamniRMTtlsIERPUIAWybZG+cNRU6E+Weg==",
                "version": 2191,
                "status": "ACTIVE",
                "source": "HSM",
                "type": "Data"
            },
            "backup_key_id": "f7a4397b885c4cb5a0ace78aa676952b31df08a10eb543f985f6982db56b4502",
            "backup_key_name": "00DB000000040bIMAQ:Data:2191:02GB0000000HYswMAG",
            "backup_key_tier": "local",
            "organization_type": "Regular"
        }
    ]
}

The sample output displays the list of Salesforce tenant secrets based on the specified request query parameters.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.